#ifndef KBABELDICTINTERFACE_H
#define KBABELDICTINTERFACE_H

#include <dcopobject.h>

class KBabelDictIFace : virtual public DCOPObject
{
	K_DCOP

k_dcop:
	virtual QStringList modules() = 0;
	virtual ASYNC setActiveModule(QString modulename) = 0;

	virtual ASYNC startSearch(const QString searchstring) = 0;
	virtual ASYNC stopSearch() = 0;

	virtual ASYNC nextResult()=0;
	virtual ASYNC prevResult()=0;
	
};

#endif
